# Specfile for UDEV

%define name	ksm-udev
%define version	0.0.1
%define release	3.1.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Rule files for UDEV
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		System/Config
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	ksm-udevpkg,ksm-udevcapab
Requires:	gphoto
Requires:	ksm-lib-sh >= 4.0.0-0.0.0,ksm-textproc >= 1.0.1-9.0.0
#Provides:	ksm-udevd
#Conflicts:	ksm-udevd-other,libksm-udev == 0.0.0
#Obsoletes:	myksm-udevd

%description
This package contains a file for downloading the photos and a rule file 
for udev.

The download file: fuji-download.sh

 85-fuji-download.rules ( Supported models: 
   Fuji Finepix S3300 
 ) 

Configure /usr/local/bin/fuji-download.sh (USER GROUP FOTODIR).

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------- Files ------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/ksm-udev.conf
#%config %{_confdir}/ksm-udev.conf
#%config %{_scnfdir}/ksm-udev
#%{_confdir}/ksm-udev.conf

#%attr(744,root,root)/%{_rcdir}/ksm-udevd

#%attr(755,root,root)%{_bindir}/ksm-udev

%{_datadir}/RELEASE
%{_datadir}/VERSION
%{_datadir}/fuji-download.part
%{_datadir}/fuji-download.sh

/etc/udev/rules.d/85-fuji-download.rules

#/usr/share/applications/ksm-udev.desktop
#%{_icondir}/16x16/apps/ksm-udev.png
#%{_icondir}/22x22/apps/ksm-udev.png
#%{_icondir}/32x32/apps/ksm-udev.png
#%{_icondir}/48x48/apps/ksm-udev.png
#%{_icondir}/64x64/apps/ksm-udev.png
#%{_icondir}/128x128/apps/ksm-udev.png
#/usr/share/pixmaps/ksm-udev.png

#%docdir %{_man1dir}
#%{_man1dir}/ksm-udev.1.gz

%docdir %{_man8dir}
%{_man8dir}/fuji-download.sh.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
%{_docdir}/README.de

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# disable sample and stop sampled
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop > /dev/null 2>&1

# backup config files
#test -e %{_confdir}/sample.conf && cp %{_confdir}/sample.conf %{_confdir}/sample.conf.rpmsave
#test -e %{_scnfdir}/sample && cp %{_scnfdir}/sample %{_scnfdir}/sample.rpmsave

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# all vars from new conf
#cf=%{_confdir}/ksm-udev.conf
#cnfvars='DUMMY1 DUMMY2'

# set links
#ln -sf %{_rcdir}/ksm-udevd %{_bindir}/rcksm-udevd

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/ksm-udev.directory \
#	/usr/share/applications/ksm-udev.desktop \
#	/usr/share/applications/ksm-udev-admin.desktop

udevadm control --reload-rules

if [ "$1" == 1 ]; then					# install package
#	echo "Configure $cf"
#	echo "Users must create HOME/.ksm-udevrc with update-ksm-udev"

	cp %{_datadir}/fuji-download.sh %{_bindir}/
	chmod 744 %{_bindir}/fuji-download.sh

	echo "Configure %{_bindir}/fuji-download.sh (USER GROUP FOTODIR)."
	echo "Don't change count and order of lines in this file!"
else							# upgrade package
#	# update global conf
#	c=''
#	s=''
#	t=''
#	ret=0
#	if [ -e $cf.rpmsave ]; then
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Check $cf"
#		fi
#	fi

	templ=$(/bin/mktemp /tmp/ksm-udev.XXXXXX)	# temporary file name
	/usr/local/bin/getline %{_bindir}/fuji-download.sh 1 10 > $templ
	cat %{_datadir}/fuji-download.part >> $templ
	cp $templ %{_bindir}/fuji-download.sh
	chmod 744 %{_bindir}/fuji-download.sh
	rm -f $templ

#	echo "If new version then users must update HOME/.ksm-udevrc with update-ksm-udev"
fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

# disable sample and stop sampled
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop > /dev/null 2>&1

#if [ "$1" == 0 ]; then					# remove package
#	# backup config files
#	test -e %{_confdir}/sample.conf && cp %{_confdir}/sample.conf %{_confdir}/sample.conf.rpmsave
#	test -e %{_scnfdir}/sample && cp %{_scnfdir}/sample %{_scnfdir}/sample.rpmsave
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/ksm-udev

	# remove link
	#if [ -e /usr/local/bin/rcksm-udevd ]; then
	#	rm -f /usr/local/bin/rcksm-udevd
	#fi

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/ksm-udev.directory \
	#	/usr/share/applications/ksm-udev.desktop \
	#	/usr/share/applications/ksm-udev-admin.desktop

	rm %{_bindir}/fuji-download.sh
	udevadm control --reload-rules
#else							# upgrade package
	#%{_bindir}/toggleksm-udev -e > /dev/null 2>&1
	#%{_rcdir}/ksm-udevd start > /dev/null 2>&1
fi
exit 0

%changelog
* Fri Jan 13 2017 Repomaster <repomaster@kaesmann-online.de> 0.0.1-3.1.0
- All scripts have been revised.

* Wed Jul 15 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-3.0.0
- The package has been revised.

* Wed Jul 15 2015 Repomaster <repomaster@kkaesmann-online.de> 0.0.1-2.0.0
- The udev file 85-fuji.rules has been renamed
  to 85-fuji-download.rules

* Tue Jul 14 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-1.0.0
- The package has been revised
  (added udev run file /usr/local/bin/fuji-download.sh).

* Mon Jul 13 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.1-0.0.0
- The package has been revised.

* Mon Jul 13 2015 Repomaster <repomaster@kaesmann-online.de> 0.0.0-0.0.0
- This is the 1. version.
- The package contains following rule files:
  85-fuji.rules
